System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Permissions.CodeAccessSecurityAttribute System.AttributeUsage(System.AttributeTargets.Assembly | System.AttributeTargets.Class | System.AttributeTargets.Struct | System.AttributeTargets.Constructor | System.AttributeTargets.Method | System.AttributeTargets.Event | System.AttributeTargets.All, AllowMultiple=true, Inherited=false)

For more information about using attributes, see [<topic://cpconExtendingMetadataUsingAttributes>].

Allows declaritive permission checks for event logging.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

  One of the values.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.IPermission To be added

  Creates the permission based on the property and the requested access levels that are set through the property on the attribute.

  An that represents the created permission.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets or sets the name of the computer on which events might be read.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.EventLogPermissionAccess To be added: an object of type 'EventLogPermissionAccess' To be added

  Gets or sets the access levels used in the permissions request.